<?php

require '../conexao/conexao.php';
//require '../sessao.php';

$manipulador= $_GET['id'];
$nomefun = $_GET['nome'];

//echo $manipulador;
//$funcParam = null;
$ano = $_GET['ano'] ?? null;
$mes = $_GET['mes'] ?? null;
$filial = $_GET['filial'] ?? null;
$etapa = $_GET['etapa'] ?? null;
$mes = str_pad($mes, 2, '0', STR_PAD_LEFT);
$diasrestantes = $_GET['dias'] ?? null;
//$manipulador = '41';
//$diasrestantes = '2';
// ECHO $mes;
// ECHO $ano;
// echo $vendedor;
// echo $filial;

//echo $vendedor;



$qry_manipulador = "
SELECT pcp.data, COUNT(pcp.nrrqu) AS QTD
FROM fc12500 pcp
JOIN fc08000 fun ON pcp.cdfun = fun.cdfun AND pcp.cdcon = fun.cdcon
JOIN fc12540 etp ON pcp.CDETAPA = etp.CDETAPA
WHERE pcp.cdopera = 2
AND pcp.data BETWEEN '" . $ano . "-" . $mes . "-01' AND '" . $ano . "-" . $mes . "-" . date("t", mktime(0, 0, 0, $mes, 1, $ano)) . "'
AND pcp.cdetapa = $etapa
AND fun.cdcon = $filial
AND pcp.cdfun = $manipulador
GROUP BY pcp.data;
";



//echo $qry_manipulado ;



//echo $qry_manipulado;

$qryResult = ibase_query($connection, $qry_manipulador);
if (!$qryResult) {
    die("Erro na consulta SQL (Manipulado): " . ibase_errmsg());
}



echo "<!DOCTYPE html>
    <table id='percentualVendedor2' class='table table-striped table-bordered dt-responsive nowrap'>
        <thead>
            <tr class='text-center'>
                <th>Data</th>
                <th>Quantidade</th>
                
            </tr>
        </thead>
        <tbody>";


$dataManipulado = [];
$dataRevenda = [];
$dataMarca = [];

$totalManipulado = 0;
$totalRevenda = 0;
$totalMarca = 0;
$total_Geral = 0;

for ($i = 1; $i <= date("t", mktime(0, 0, 0, $mes, 1, $ano)); $i++) {
    $date = $ano . "-" . $mes . "-" . sprintf("%02d", $i);
    $dataManipulado[$date] = 0;
    $dataRevenda[$date] = 0;
    $dataMarca[$date] = 0;
}

while ($row = ibase_fetch_assoc($qryResult)) {
    $dataManipulado[$row['DATA']] = $row['QTD'];
    $totalManipulado += $row['QTD'];
}



//SQL ADICAO 
$sql_adicao = "SELECT codigo_funcionario as cdfun, etapa as cdetapa, adicao, ano, mes FROM kpi.adicao_producao WHERE codigo_funcionario = $manipulador";

    if ($ano && $ano != "Selecione") {
        $sql_adicao .= " and ano = " . intval($ano);
    }
    if ($mes && $mes != "Selecione") {
        $sql_adicao .= " and mes = " . intval($mes);
    }

    if ($etapa && $etapa != "Selecione") {
        $sql_adicao .= " AND etapa = '" . $etapa . "'";
    }
$result_adicao = $connectionmysql->query($sql_adicao);

// Verificar se a consulta foi bem sucedida
if ($result_adicao) {
    // Inicializar a variável para armazenar o total de terceiros
    $total_adicao = 0;

    // Verificar se há linhas retornadas pela consulta
    if ($result_adicao->num_rows > 0) {
        // Loop pelas linhas do resultado
        while ($row = $result_adicao->fetch_assoc()) {
            // Somar o valor da coluna 'valor_terceiros' ao total de terceiros
            $total_adicao += $row['adicao'];
        }
    } else {
        // Não há registros retornados pela consulta
        // echo "Nenhum resultado encontrado.";
    }
} else {
    // Houve um erro ao executar a consulta
    die('Erro na consulta: ' . $connectionmysql->error);
}
$total_Geral += $totalManipulado + $total_adicao;
//echo $total_adicao;


//SQL METAS DO MANIPULADOR
$sql_meta = "SELECT codigo_funcionario as cdfun, etapa as cdetapa, meta, ano, mes FROM kpi.metas_producao WHERE codigo_funcionario = $manipulador";

    if ($ano && $ano != "Selecione") {
        $sql_meta .= " and ano = " . intval($ano);
    }
    if ($mes && $mes != "Selecione") {
        $sql_meta .= " and mes = " . intval($mes);
    }


    if ($etapa && $etapa != "Selecione") {
        $sql_meta .= " AND etapa = '" . $etapa . "'";
    }


    // Aplicar o filtro da filial
    // if ($filial && $filial != "Todos") {
    //     $sql_meta .= " and codigo_filial = " . intval($filial);
    // }

    //echo $sql_meta;
    $result_meta = $connectionmysql->query($sql_meta);
// Verificar se a consulta foi bem sucedida
if ($result_meta) {
    // Inicializar a variável para armazenar o total de terceiros
    $total_meta = 0;

    // Verificar se há linhas retornadas pela consulta
    if ($result_meta->num_rows > 0) {
        // Loop pelas linhas do resultado
        while ($row = $result_meta->fetch_assoc()) {
            // Somar o valor da coluna 'valor_terceiros' ao total de terceiros
            $total_meta  += $row['meta'];
        }
    } else {
        // Não há registros retornados pela consulta
        // echo "Nenhum resultado encontrado.";
    }
} else {
    // Houve um erro ao executar a consulta
    die('Erro na consulta: ' . $connectionmysql->error);
}
//echo $total_meta ;
//echo $sql_meta;
//echo $etapa;
//Final cálculo falta para manipulado com vendas de terceiros
//-----------------------------

$allDates = array_keys($dataManipulado);

$falta_manipulado2 = $total_meta - $totalManipulado;

if ($falta_manipulado2 <= 0) {
    $falta_manipulado2 = 0;
}

?>
<div class="col-12 text-center">
                        <a href="#" class="badge badge-pill badge-secondary mb-4" style="font-size:1.5rem;"><?php echo $nomefun; ?></a>
                    </div>
<?php

foreach ($allDates as $data) {
    $manipulado = $dataManipulado[$data];
    $revenda = $dataRevenda[$data];
    $marca_propria = $dataMarca[$data];
    $total = $manipulado + $revenda + $marca_propria;

    echo "<tr class='text-center'>
            <td width='87'>" . htmlspecialchars(date("d/m/Y", strtotime($data))) . "</td>
            <td width='89'><div align='center'> " . htmlspecialchars($manipulado) . "</div></td>
        
          </tr>";
}
echo "<tr class='text-center'>
      <td width='87'><div align='center'><b>Total Fórmulas</b></div></td> 
        <td width='87'><div align='center'><b>". ($totalManipulado). "</b></div></td> 
      
      </tr>";
echo "<tr class='text-center'>
      <td width='87'><div align='center'><b>Total Adição</b></div></td>
       <td width='87'><div align='center'><b>". ($total_adicao). "</b></div></td>  
      </tr>";
echo "<tr class='text-center'>
        <td width='87'><div align='center'><b>Total Geral</b></div></td>
        <td width='89'><div align='center'><b> " . htmlspecialchars($total_Geral) . "</b></div></td>

      </tr>";
      echo "<tr class='text-center'>
        <td width='87'><div align='center'><b>Meta</b></div></td>
        <td width='89'><div align='center'><b> " . htmlspecialchars($total_meta) . "</b></div></td>

      </tr>";

echo "<tr class='text-center'>
        <td width='87'><div align='center'><b>Meta Diaria para 100%</b></div></td>
        <td width='89'><div align='center'><b>" . htmlspecialchars($falta_manipulado2 * (100 / 100), $diasrestantes) . "</b></div></td>

      </tr>";

echo "</tbody>
      </table>
      </body>
  </html>";


ibase_free_result($qryResult);

